Skip to content
Install

Change the deploy strategy

PATCH
/deployments/{id}/strategy
curl --request PATCH \
--url https://example.com/deployments/example/strategy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "strategy": "rollingUpdate" }'

Auth: authenticated (scope: deploy)

id
required
string
Media typeapplication/json
object
strategy
required
string
Allowed values: rollingUpdate recreate blueGreen

OK

Media typeapplication/json
object
autoDeployBranch
string | null
autoDeployEnabled
boolean
autoDeployPaths
Array<string>
buildCommand
string | null
builderOverride
string | null
Allowed values: firecracker kubernetes
buildError
string | null
buildFromRoot
boolean
buildLogs
string | null
buildStatus
required
string
buildStep
string | null
buildStepTimestamps
object | null
buildType
string
Allowed values: dockerfile railpack
buildWithDepot
boolean
composeServiceName
string | null
composeStackId
string | null
cpuRequestMilli
number | null
createdAt
required
string
createdBy
string | null
deployStrategy
string
Allowed values: rollingUpdate recreate blueGreen
detectedConfig
object | null
dockerfileHealthCheck
object
command
required
Array<string>
interval
number
retries
number
startPeriod
number
timeout
number
dockerfilePath
string | null
dockerfileTarget
string | null
effectiveImagePullPolicy

What the cluster is actually doing, after deriving. Render this.

string
Allowed values: Always IfNotPresent
environmentId
string | null
framework
string | null
githubBranch
string | null
githubInstallationId
Any of:
string
githubRepo
string | null
healthCheckCommand
string | null
healthCheckEnabled
boolean
healthCheckInterval
number
healthCheckOverride
boolean
healthCheckPath
string | null
healthCheckPort
number | null
healthCheckRetries
number
healthCheckTimeout
number
healthCheckType
string
icon
string | null
id
required
string
image
string | null
imagePullPolicy

The override. null means it is derived from the image tag.

string | null
Allowed values: Always IfNotPresent
installCommand
string | null
livenessEnabled
boolean
memoryRequestBytes
Any of:
string
name
required
string
namespace
required
string
outputDirectory
string | null
persistentBuildCache
boolean
projectId
required
string
readinessEnabled
boolean
replicas
required
number
rootDirectory
string | null
startCommand
string | null
startupEnabled
boolean
startupFailureThreshold
number
status
required
string
stopped
required
boolean
tailscaleExposed
boolean
tailscaleHostname
string | null
templateInstanceId
string | null
updatedAt
required
string
key
additional properties

Example

{
"builderOverride": "firecracker",
"buildType": "dockerfile",
"deployStrategy": "rollingUpdate",
"effectiveImagePullPolicy": "Always",
"imagePullPolicy": "Always"
}